Subject: Re: Git push error due to hooks error

From: Kevin Daudt <[email-masked]>
Date: Mon, 14 May 2018 21:57:33 +0200

On Mon, May 14, 2018 at 05:44:06PM +0000, Barodia, Anjali (Nokia - IN/Noida) wrote:
> Hi Support,
> 
> 
> I was trying to push local git to another git on gerrit, but stuck with an hook error.
> This is a very large repo and while running the command "git push origin --all"
> I am getting this errors:
> 
> remote: (W) 92e19d4: too many commit message lines longer than 70 characters; manually wrap lines
> remote: (W) de2245b: too many commit message lines longer than 70 characters; manually wrap lines
> remote: (W) dc6e982: too many commit message lines longer than 70 characters; manually wrap lines
> remote: (W) d2e2efd: too many commit message lines longer than 70 characters; manually wrap lines
> remote: error: internal error while processing changes To ssh_url_path:8282/SI_VF.git
>  ! [remote rejected]   master -> master (Error running hook /opt/gerrit/hooks/re    f-update)
> error: failed to push some refs to 'ssh_user@url_path:8282/SI_VF.git'
> 
> I tried to push after deleting the .git/hooks, but still get the same error.
> Please help me in fixing this error.
> 
> Thanks with Regards,
> Anjali Barodia

Did you remove the hook from the remote repo, or the local repo? Because
this is a hook which runs on the repo you are pushing too. Something
like pre-receive or pre-update is causing this.

Kevin